package flash.display {


/**
 * The JointStyle class is an enumeration of constant values that specify the joint style to use in drawing lines. These constants are provided for use as values in the <code>joints</code> parameter of the <code>flash.display.Graphics.lineStyle()</code> method. The method supports three types of joints: miter, round, and bevel, as the following example shows:
 * <p><img src="http://help.adobe.com/en_US/FlashPlatform/reference/actionscript/3/images/linejoin.jpg" /></p>
 * <p><a href="http://help.adobe.com/en_US/FlashPlatform/reference/actionscript/3/flash/display/JointStyle.html#includeExamplesSummary">View the examples</a></p>
 * @see Graphics#lineStyle()
 *
 */
public final class JointStyle {
  /**
   * Specifies beveled joints in the <code>joints</code> parameter of the <code>flash.display.Graphics.lineStyle()</code> method.
   */
  public static const BEVEL:String = "bevel";
  /**
   * Specifies mitered joints in the <code>joints</code> parameter of the <code>flash.display.Graphics.lineStyle()</code> method.
   */
  public static const MITER:String = "miter";
  /**
   * Specifies round joints in the <code>joints</code> parameter of the <code>flash.display.Graphics.lineStyle()</code> method.
   */
  public static const ROUND:String = "round";
}
}
