package flash.filters {


/**
 * The BitmapFilterQuality class contains values to set the rendering quality of a BitmapFilter object.
 * <p><a href="http://help.adobe.com/en_US/FlashPlatform/reference/actionscript/3/flash/filters/BitmapFilterQuality.html#includeExamplesSummary">View the examples</a></p>
 * @see BevelFilter
 * @see BlurFilter
 * @see GlowFilter
 * @see DropShadowFilter
 * @see GradientBevelFilter
 * @see GradientGlowFilter
 *
 */
public final class BitmapFilterQuality {
  /**
   * Defines the high quality filter setting.
   */
  public static const HIGH:int = 3;
  /**
   * Defines the low quality filter setting.
   */
  public static const LOW:int = 1;
  /**
   * Defines the medium quality filter setting.
   */
  public static const MEDIUM:int = 2;
}
}
