package flash.filters {


/**
 * The BitmapFilterType class contains values to set the type of a BitmapFilter.
 * <p><a href="http://help.adobe.com/en_US/FlashPlatform/reference/actionscript/3/flash/filters/BitmapFilterType.html#includeExamplesSummary">View the examples</a></p>
 * @see BevelFilter
 * @see GradientBevelFilter
 * @see GradientGlowFilter
 *
 */
public final class BitmapFilterType {
  /**
   * Defines the setting that applies a filter to the entire area of an object.
   */
  public static const FULL:String = "full";
  /**
   * Defines the setting that applies a filter to the inner area of an object.
   */
  public static const INNER:String = "inner";
  /**
   * Defines the setting that applies a filter to the outer area of an object.
   */
  public static const OUTER:String = "outer";
}
}
