package flash.text {


/**
 * The FontStyle class provides values for the TextRenderer class.
 * @see TextRenderer
 *
 */
public final class FontStyle {
  /**
   * Defines the bold style of a font for the <code>fontStyle</code> parameter in the <code>setAdvancedAntiAliasingTable()</code> method. Use the syntax <code>FontStyle.BOLD</code>.
   * @see TextRenderer#setAdvancedAntiAliasingTable()
   *
   */
  public static const BOLD:String = "bold";
  /**
   * Defines the combined bold and italic style of a font for the <code>fontStyle</code> parameter in the <code>setAdvancedAntiAliasingTable()</code> method. Use the syntax <code>FontStyle.BOLD_ITALIC</code>.
   * @see TextRenderer#setAdvancedAntiAliasingTable()
   *
   */
  public static const BOLD_ITALIC:String = "boldItalic";
  /**
   * Defines the italic style of a font for the <code>fontStyle</code> parameter in the <code>setAdvancedAntiAliasingTable()</code> method. Use the syntax <code>FontStyle.ITALIC</code>.
   * @see TextRenderer#setAdvancedAntiAliasingTable()
   *
   */
  public static const ITALIC:String = "italic";
  /**
   * Defines the plain style of a font for the <code>fontStyle</code> parameter in the <code>setAdvancedAntiAliasingTable()</code> method. Use the syntax <code>FontStyle.REGULAR</code>.
   * @see TextRenderer#setAdvancedAntiAliasingTable()
   *
   */
  public static const REGULAR:String = "regular";
}
}
