package flash.text {


/**
 * The TextFormatAlign class provides values for text alignment in the TextFormat class.
 * @see TextFormat
 *
 */
public final class TextFormatAlign {
  /**
   * Constant; centers the text in the text field. Use the syntax <code>TextFormatAlign.CENTER</code>.
   * @see TextFormat#align
   *
   */
  public static const CENTER:String = "center";
  /**
   * Constant; justifies text within the text field. Use the syntax <code>TextFormatAlign.JUSTIFY</code>.
   * @see TextFormat#align
   *
   */
  public static const JUSTIFY:String = "justify";
  /**
   * Constant; aligns text to the left within the text field. Use the syntax <code>TextFormatAlign.LEFT</code>.
   * @see TextFormat#align
   *
   */
  public static const LEFT:String = "left";
  /**
   * Constant; aligns text to the right within the text field. Use the syntax <code>TextFormatAlign.RIGHT</code>.
   * @see TextFormat#align
   *
   */
  public static const RIGHT:String = "right";
}
}
