package flashx.textLayout.elements {


/**
 * The LinkState class defines a set of constants for the <code>linkState</code> property of the LinkElement class.
 * <p><a href="http://help.adobe.com/en_US/FlashPlatform/reference/actionscript/3/flashx/textLayout/elements/LinkState.html#includeExamplesSummary">View the examples</a></p>
 * @see LinkElement#linkState
 *
 */
public final class LinkState {
  /**
   * Value for the active state, which occurs when you hold the mouse down over a link.
   */
  public static const ACTIVE:String = "active";
  /**
   * Value for the hover state, which occurs when you drag the mouse over a link.
   */
  public static const HOVER:String = "hover";
  /**
   * Value for the normal, default link state.
   */
  public static const LINK:String = "link";
}
}
