package flashx.textLayout.formats {


/**
 * Defines values for setting the <code>direction</code> property of the <code>TextLayoutFormat</code> class. Left-to-right reading order is used in Latin-style scripts. Right-to-left reading order is used with scripts such as Arabic or Hebrew.
 * @see TextLayoutFormat#direction
 *
 */
public final class Direction {
  /**
   * Specifies left-to-right direction for text.
   */
  public static const LTR:String = "ltr";
  /**
   * Specifies right-to-left direction for text.
   */
  public static const RTL:String = "rtl";
}
}
