package flashx.textLayout.formats {


/**
 * Defines values for the <code>textDecoration</code> property of the TextLayoutFormat class. The values specify either normal text, with no decoration, or underline.
 * @see TextLayoutFormat#textDecoration
 *
 */
public final class TextDecoration {
  /**
   * Specifies normal text - no decoration applied
   */
  public static const NONE:String = "none";
  /**
   * Specifies that text is underlined.
   */
  public static const UNDERLINE:String = "underline";
}
}
